> For the complete documentation index, see [llms.txt](https://docs.legal-data-analytics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.legal-data-analytics.com/legal-data-analytics-v1/api-specification/data-assets.md).

# Data Assets

## URL and Swagger UI Documentation

{% embed url="<https://api.legal-data-hub.com/docs#/Data%20Assets/get_data_assets_api_data_assets_get>" %}

## Description

The data assets endpoint provides you an overview of the available data assets (indices) in the vector store. The response is an array containing the index and alias information of data\_assets you can access.

## Hands-on section

### Code snippets

<details>

<summary>curl</summary>

```sh
curl --location 'https://otto-schmidt.legal-data-hub.com/api/data-assets' \
--header 'Authorization: Bearer {YOUR_ACCESS_TOKEN}'
```

</details>

<details>

<summary>Python</summary>

```python
import http.client

conn = http.client.HTTPSConnection("otto-schmidt.legal-data-hub.com")
payload = ''
headers = {
  'Authorization': 'Bearer {YOUR_ACCESS_TOKEN}'
}
conn.request("GET", "/api/data-assets", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

</details>

## Response

<details>

<summary>Sample response</summary>

{% code fullWidth="false" %}

```json
{
    "data_assets": [
        {
            "modul": "Aktionsmodul Arbeitsrecht"
        },
        {
            "modul": "Aktionsmodul Familienrecht"
        },
        {
            "modul": "Aktionsmodul Gesellschaftsrecht"
        },
        {
            "modul": "Aktionsmodul Steuern plus Wirtschaft"
        },
        {
            "modul": "Aktionsmodul Zivilrecht"
        },
        {
            "modul": "Beratermodul Arbeitsrecht"
        },
        {
            "modul": "Beratermodul Ausbildung und Praxis Steuerrecht"
        },
        {
            "modul": "Beratermodul Datenschutzrecht"
        },
        {
            "modul": "Beratermodul Familienrecht"
        },
        {
            "modul": "Beratermodul Internationales Zivilverfahrensrecht"
        },
        {
            "modul": "Beratermodul Kapitalmarktrecht"
        },
        {
            "modul": "Beratermodul Kartellrecht"
        },
        {
            "modul": "Beratermodul Miet- und WEG-Recht"
        },
        {
            "modul": "Beratermodul Rechnungslegung und Bilanzierung"
        },
        {
            "modul": "Beratermodul VersR - Versicherungsrecht"
        },
        {
            "modul": "Beratermodul Zeitschriften Wirtschaftsrecht"
        },
        {
            "modul": "Beratermodul Zöller - Zivilprozessrecht"
        },
        {
            "modul": "Gesetze"
        },
        {
            "modul": "Rechtsprechung"
        }
    ]
}
```

{% endcode %}

</details>
